{% block filter_date_row %}
    {%- set force_error = true -%}
    {%- if compound is defined and compound -%}
        {%- set element = 'fieldset' -%}
    {%- endif -%}
    {%- set widget_attr = {} -%}
    {%- if help is not empty -%}
        {%- set widget_attr = {attr: {'aria-describedby': id ~"_help"}} -%}
    {%- endif -%}
    <{{ element|default('div') }}{% with {attr: row_attr|merge({class: (row_attr.class|default('') ~ ' form-group')|trim})} %}{{ block('attributes') }}{% endwith %}>
    {{- form_label(form) -}}
    <div class="form-group-wrapper">
        <div class="input-group">
            <span class="input-group-addon">
                <label class="sr-only" for="dateoperator-{{ id }}">Opérateur de comparaison pour la date</label>
                <select id="dateoperator-{{ id }}" data-prepend-value-to="{{ id }}" data-disable-linked-date>
                    <option value="=">le</option>
                    <option value="<=">avant ou égale au</option>
                    <option value=">=">égale ou après le</option>
                    <option value="<">avant le</option>
                    <option value=">">après le</option>
                    <option value="null" disabled="disabled">────────────────────</option>
                    <option value="today" data-option-disable>Jour courant</option>
                    <option value="week" data-option-disable>Semaine courante</option>
                    <option value="month" data-option-disable>Mois courant</option>
                    <option value="year" data-option-disable>Année courante</option>
                    <option value="null" disabled="disabled">────────────────────</option>
                    <option value="P7D" data-option-disable>7 derniers jours</option>
                    <option value="P1M" data-option-disable>31 derniers jours</option>
                    <option value="P1Y" data-option-disable>365 derniers jours</option>
                </select>
            </span>
            <input type="hidden" name="{{ form.vars.name }}" value="">
            {{- form_widget(form, widget_attr) -}}
            {{- form_help(form) -}}
        </div>
    </div>
    </{{ element|default('div') }}>
{% endblock %}

{% block password_confirm_row %}
    <div class="form-group password">
        {{ form_label(form.children.first) }}
        <div id="edit-user-jauge-password">
            <div class="progress" style="height: 5px; margin-bottom: 5px;">
                <div
                        id="register-user-progress-bar"
                        class="progress-bar progress-bar-danger"
                        role="progressbar"
                        aria-valuenow="0"
                        aria-valuemin="0"
                        aria-valuemax="130"
                        style="width: 0;"
                ></div>
            </div>
        </div>
        <div class="form-group-wrapper">
            <!--suppress HtmlFormInputWithoutLabel -->
            <input type="password" name="{{ field_name(form.children.first) }}" class="form-control" id="{{ form.children.first.vars.id }}" style="cursor: auto; box-shadow: initial !important;">
            <span id="login-user-password-valid-icon" class="fa fa-lg fa-check-circle text-success" title="Valide"></span>
        </div>
        {{- form_help(form.children.first) -}}
    </div>

    <label for="{{ form.children.second.vars.id }}" class="{{ form.children.second.vars.required ? 'required' : '' }}">
        {{ form.children.second.vars.label ?: "Confirmer le mot de passe" }}
    </label>
    <input type="password" id="{{ form.children.second.vars.id }}" name="{{ field_name(form.children.second) }}" {{ form.children.second.vars.required ? 'required="required"' : '' }} class="form-control">
    {{- form_help(form.children.second) -}}

    <script>
        $(function() {
            const PASSWORD_ULTRA_WEAK = 49;
            const PASSWORD_WEAK = 78;
            const PASSWORD_MEDIUM = 82;
            const PASSWORD_STRONG = 130;
            const MIN_SCORE = {{ min_password_strengh }};
            const MAX_SCORE = PASSWORD_STRONG;

            function setProgressBarClassByScore(progressBar, score)
            {
                progressBar
                    .removeClass('progress-bar-danger')
                    .removeClass('progress-bar-warning')
                    .removeClass('progress-bar-info')
                    .removeClass('progress-bar-success')
                    .removeClass('progress-bar-striped');

                if (score < PASSWORD_ULTRA_WEAK) {
                    progressBar.addClass('progress-bar-danger');
                } else if (score < PASSWORD_WEAK) {
                    progressBar.addClass('progress-bar-warning');
                } else if (score < PASSWORD_MEDIUM) {
                    progressBar.addClass('progress-bar-info');
                } else if (score < PASSWORD_STRONG) {
                    progressBar.addClass('progress-bar-success');
                } else {
                    progressBar.addClass('progress-bar-success')
                        .addClass('progress-bar-striped');
                }
            }

            var passwordInput = $('#{{ form.children.first.vars.id }}').on('keyup change', function() {
                var password = $(this).val();
                var score = AsalaeGlobal.passwordScore(password);
                var progressBar = $('#register-user-progress-bar');
                var icon = $('#login-user-password-valid-icon');
                var width = score / MAX_SCORE * 100;
                if (isNaN(score)) {
                    score = 0;
                }

                setProgressBarClassByScore(progressBar, score);
                progressBar.css('width', width + '%');

                if (password && score < MIN_SCORE) {
                    icon.removeClass('fa-check-circle').removeClass('text-success');
                    icon.addClass('fa-times-circle text-danger');
                    $(this).get(0).setCustomValidity("Ce mot de passe n'est pas assez complexe");
                } else {
                    icon.removeClass('fa-times-circle').removeClass('text-danger');
                    icon.addClass('fa-check-circle text-success');
                    $(this).get(0).setCustomValidity('');
                }
            }).change();

            $('#{{ form.children.second.vars.id }}').on('keyup change', function() {
                if (passwordInput.val() && passwordInput.val() !== $(this).val()) {
                    $(this).get(0).setCustomValidity("Les mots de passe ne correspondent pas");
                } else {
                    $(this).get(0).setCustomValidity('');
                }
            });
        });
    </script>
{% endblock %}

{% block xsd_duration_row%}
    <fieldset class="form-group">
        {{ form_label(form) }}
        <div class="form-inline">
        {% for child in form.children|filter(child => not child.rendered) %}
            <div class="col-auto">
                {{ form_label(child) }}
                {{ form_widget(child) }}
                {{ form_help(child) }}
                {{ form_errors(child) }}
            </div>
        {% endfor %}
        </div>
    </fieldset>
{% endblock %}
